Subject: bug#1305: All code that currently beeps should use visual bell instead

From: Stefan Kangas <[email-masked]>
Date: Sun, 18 Apr 2021 08:15:54 -0500

Stefan Kangas <[email-masked]> writes:

> So if we make that change, perhaps we should make `ding' obsolete in
> favour of `user-error'.

Or maybe not: `ding' cancels keyboard macros, right?  So there would
still be some use for it, if you want to cancel a keyboard macro but do
nothing visible in interactive use.